Ubuntu

Change log for “wacom-tools” package in Ubuntu

140 of 40 results
Deleted in lucid-release on 2013-03-04 (Reason: renamed to xf86-input-wacom)
Obsolete in karmic-release on 2013-03-04
wacom-tools (1:0.8.4.1-0ubuntu4) karmic; urgency=low

  * Add 106_tc1100_stylus_buttons.patch:  Support TC1100 stylus buttons.
    Thanks Krzysztof!
    (LP: #377444)
  * Update note that there is not a -dev for this package because apps
    should be using input properties now, instead.
    (LP: #5918)

 -- Bryce Harrington <email address hidden>   Wed, 14 Oct 2009 12:46:02 -0700
Superseded in karmic-release on 2009-10-14
wacom-tools (1:0.8.4.1-0ubuntu3) karmic; urgency=low

  * Remember to include patch in series file.

 -- Bryce Harrington <email address hidden>   Wed, 07 Oct 2009 02:37:29 -0700
Superseded in karmic-release on 2009-10-07
wacom-tools (1:0.8.4.1-0ubuntu2) karmic; urgency=low

  * Add patches/105_wacf008_baud_38400.patch: Baud rate for this hardware
    is autodetecting to 9600, but 38400 gives a better user experience.
    (LP: #444612)

 -- Bryce Harrington <email address hidden>   Tue, 06 Oct 2009 20:01:00 -0700
Superseded in karmic-release on 2009-10-07
wacom-tools (1:0.8.4.1-0ubuntu1) karmic; urgency=low

  * New upstream version. (LP: #405800)
  * xsfbs: Remove deprecated --print-installation-architecture. (LP: #403316)
  * waltop-ntrig.diff: Drop support for WALTOP, it doesn't work and crashes
    the server.

 -- Timo Aaltonen <email address hidden>   Wed, 16 Sep 2009 16:31:32 +0300
Superseded in karmic-release on 2009-10-02
wacom-tools (1:0.8.3.2-1ubuntu1) karmic; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Bump the epoch because of old Ubuntu packaging.
    - debian/control:
      - Change the Maintainer address.
      - Bump the epoch on Replaces/Conflicts.
      - Don't build wacom-kernel-source anymore (#71944).
    - debian/wacom.postinst:
      Remove old files.
    - debian/rules: Disable the scaling quirk.
    - Enable patch system (quilt).
      - Import debian/xsfbs/*
      - Add quilt to build-deps.
    - Include wacomcpl so the stylus can be calibrated. (#216347)
      - debian/rules: --enable-libwacomxi
      - debian/control: Add tcl-dev, tk-dev to Build-Depends, and tcl,
        tk to wacom-tools Depends.
    - Modify 10-linuxwacom.fdi to support WALTOP and N-Trig.
    - Add 104_revert-check.diff: Don't check the serial number, it breaks
      some devices. Disabled for now, needs testing because part of it
      is upstream now.

 -- Timo Aaltonen <email address hidden>   Fri, 22 May 2009 12:04:32 +0300
Superseded in karmic-release on 2009-05-22
Obsolete in jaunty-release on 2013-02-28
wacom-tools (1:0.8.2.2-0ubuntu2) jaunty; urgency=low

  * Replace 101_fedora-fix-mapping.diff with
    101_dont-touch-the-button-map.diff by Thomas Jaeger, which does the
    same and more, and is already upstream.

 -- Timo Aaltonen <email address hidden>   Wed, 08 Apr 2009 00:21:07 +0300
Superseded in jaunty-release on 2009-04-07
wacom-tools (1:0.8.2.2-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: #355340)
  * Patch 100_allow_eraser.patch dropped, included in this version.
  * 100_fedora-fix-build.diff
    - Make the driver to build against xserver 1.6.
  * 101_fedora-fix-mapping.diff
    - No button 0 in the server, all offsets have to begin at 1.
  * 102_fedora-wcmmaxx.diff
    - Don't assign priv->wcmMaxX/Y back into common->wcmMaxX/Y.
  * 103_fedora-hal-setup.diff
    - Add a hal callout program to set up the device.
    (LP: #215689, #356091)
  * 104_revert-check.diff
    - Don't check the serial number, it breaks some devices.
  * Modify 10-wacom.fdi to include changes from Fedora. Should allow
    hotplugging (built-in) serial tablets. (LP: #337112)
  * rules:
    - Run autoreconf on build
    - xserver-xorg-input-wacom includes /usr/lib/hal/hal-setup-wacom
  * control:
    - autoreconf: add automake, libtool to build-deps.
    - hal-setup-wacom: add libhal-dev to build-deps.

 -- Timo Aaltonen <email address hidden>   Tue, 24 Mar 2009 10:06:54 +0200
Superseded in jaunty-release on 2009-04-07
wacom-tools (1:0.8.1.6-1ubuntu8) jaunty; urgency=low

  * Remove the xserver-xorg-input-wacom init script; the entire script is
    better expressed as a single line added to the xserver-xorg-input-wacom
    udev rules.

 -- Scott James Remnant <email address hidden>   Fri, 27 Feb 2009 00:27:10 +0000
Superseded in jaunty-release on 2009-02-27
wacom-tools (1:0.8.1.6-1ubuntu7) jaunty; urgency=low

  * Drop reference to non-existent build-stamp target in debian/rules,
    fixing a build failure.
  * debian/rules: call 'unpatch' as part of the clean target, and remove
    the stamp dir.

 -- Steve Langasek <email address hidden>   Mon, 23 Feb 2009 09:26:04 +0000
Superseded in jaunty-release on 2009-02-23
wacom-tools (1:0.8.1.6-1ubuntu6) jaunty; urgency=low

  * Add build system (quilt)
  * Add 100_allow_eraser.patch (LP: #257495)
    + Respect TPCButton preference for eraser devices when using pen

 -- Bryce Harrington <email address hidden>   Wed, 04 Feb 2009 11:51:05 +0100
Superseded in jaunty-release on 2009-02-04
wacom-tools (1:0.8.1.6-1ubuntu5) jaunty; urgency=low

  * wcmConfig.c: Don't crash on device unplug (LP: #320753)

 -- Timo Aaltonen <email address hidden>   Sun, 25 Jan 2009 17:56:52 +0200
Superseded in jaunty-release on 2009-01-25
wacom-tools (1:0.8.1.6-1ubuntu4) jaunty; urgency=low

  * Add Breaks to ensure the right version of udev gets used.

 -- Scott James Remnant <email address hidden>   Fri, 09 Jan 2009 12:03:35 +0000
Superseded in jaunty-release on 2009-01-09
wacom-tools (1:0.8.1.6-1ubuntu3) jaunty; urgency=low

  * Rebuild against new debhelper for udev path change.

 -- Scott James Remnant <email address hidden>   Tue, 06 Jan 2009 18:22:53 +0000
Superseded in jaunty-release on 2009-01-06
wacom-tools (1:0.8.1.6-1ubuntu2) jaunty; urgency=low

  * Rebuild against new xorg-server for armel.

 -- Loic Minier <email address hidden>   Fri, 19 Dec 2008 15:19:01 +0100
Superseded in jaunty-release on 2008-12-20
wacom-tools (1:0.8.1.6-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Bump the epoch because of old Ubuntu packaging.
    - debian/control:
      Change the Maintainer address.
      Bump the epoch on Replaces/Conflicts.
      Don't build wacom-kernel-source anymore (#71944).
    - debian/wacom.postinst:
      Remove old files.
    - debian/xserver-xorg-input-wacom.init.d, debian/rules:
      Initscript for serial devices.
    - debian/rules: Disable the scaling quirk.
    - Enable input-hotplug: install 10-wacom.fdi in
      /usr/share/hal/fdi/policy/20thirdparty.
    - Include wacomcpl so the stylus can be calibrated. (LP: #216347)
      - debian/rules: --enable-libwacomxi
      - debian/control: Add tcl-dev, tk-dev to Build-Depends, and tcl,
        tk to wacom-tools Depends.
  * Applied xserver-1.6.patch, so it builds against the new xserver.

Superseded in jaunty-release on 2008-12-15
Obsolete in intrepid-release on 2013-02-20
wacom-tools (1:0.8.1.4-0ubuntu3) intrepid; urgency=low

  * debian/rules: Enable the fdi file again. (LP: #282203)

 -- Timo Aaltonen <email address hidden>   Tue, 21 Oct 2008 18:11:01 +0300
Superseded in intrepid-release on 2008-10-22
wacom-tools (1:0.8.1.4-0ubuntu2) intrepid; urgency=low

  * debian/rules: Don't use the fdi file, since with input-hotplug it's not
    possible to fully utilize the device, and properly configuring it is
    more awkward. Install it in /usr/share/doc/xserver-xorg-input-wacom
    instead so people can use it if they want.
  * Include wacomcpl so the stylus can be calibrated. (LP: #216347)
    - debian/rules: --enable-libwacomxi
    - debian/control: Add tcl-dev, tk-dev to Build-Depends, and tcl, tk to
      wacom-tools Depends.

 -- Timo Aaltonen <email address hidden>   Fri, 10 Oct 2008 13:45:33 +0300
Superseded in intrepid-release on 2008-10-10
wacom-tools (1:0.8.1.4-0ubuntu1) intrepid; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * src/xdrv/wcmConfig.c: s/WCM_UNINIT_CALLED/WCM_XORG_XSERVER_1_4/
    (LP: #259035)

  [ Mario Limonciello ]
  * Modify 10-wacom.fdi to include current representation
    of N-Trig digitizer. (LP: #272289)

 -- Timo Aaltonen <email address hidden>   Thu, 25 Sep 2008 10:16:07 +0300
Superseded in intrepid-release on 2008-09-25
wacom-tools (1:0.8.1.3-0ubuntu2) intrepid; urgency=low

  * debian/rules: install the fdi file again..

 -- Timo Aaltonen <email address hidden>   Fri, 22 Aug 2008 08:51:34 +0300
Superseded in intrepid-release on 2008-08-22
wacom-tools (1:0.8.1.3-0ubuntu1) intrepid; urgency=low

  * New upstream release.
  * 10-wacom.fdi:
    - Check for WALTOP devices (like Aiptek 10000U).
    - Set Type = stylus.

 -- Timo Aaltonen <email address hidden>   Fri, 15 Aug 2008 12:03:58 +0300
Superseded in intrepid-release on 2008-08-15
wacom-tools (1:0.8.0.2-2ubuntu3) intrepid; urgency=low

  * Enable input-hotplug: install 10-wacom.fdi in
    /usr/share/hal/fdi/policy/20thirdparty.

 -- Timo Aaltonen <email address hidden>   Fri, 01 Aug 2008 10:12:50 +0300
Superseded in intrepid-release on 2008-08-01
wacom-tools (1:0.8.0.2-2ubuntu2) intrepid; urgency=low

  * Rebuild against the new xserver-xorg-dev.

 -- Timo Aaltonen <email address hidden>   Mon, 07 Jul 2008 17:43:36 +0300
Superseded in intrepid-release on 2008-07-07
wacom-tools (1:0.8.0.2-2ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Bump the epoch because of old Ubuntu packaging.
    - debian/control:
      Change the Maintainer address.
      Bump the epoch on Replaces/Conflicts.
      Don't build wacom-kernel-source anymore (#71944).
    - debian/wacom.postinst:
      Remove old files.
    - debian/xserver-xorg-input-wacom.init.d, debian/rules:
      Initscript for serial devices.
    - debian/rules: Disable the scaling quirk.

 -- Timo Aaltonen <email address hidden>   Wed, 04 Jun 2008 19:24:32 +0300
Superseded in intrepid-release on 2008-06-05
Published in hardy-release on 2008-03-30
wacom-tools (1:0.7.9.8-0ubuntu3) hardy; urgency=low

  * Another fix for the braindead configure{,.in}. Removed a test
    figuring out if $WCM_MODDIR had evdev/kbd/mouse in it, and if not
    change the dlloader configure option we used back to 'no'. How sane.
    (LP: #208909)

 -- Timo Aaltonen <email address hidden>   Sun, 30 Mar 2008 08:16:01 +0300
Superseded in hardy-release on 2008-03-30
wacom-tools (1:0.7.9.8-0ubuntu2) hardy; urgency=low

  * Fix the broken configure{,.in} by adding 'test' to the module path
    check. (LP: #208909)

 -- Timo Aaltonen <email address hidden>   Sat, 29 Mar 2008 23:28:04 +0200
Superseded in hardy-release on 2008-03-29
wacom-tools (1:0.7.9.8-0ubuntu1) hardy; urgency=low

  [ Tom Jaeger ]
  * New upstream release (LP: 195953)
  * debian/rules: disable the scaling quirk.
  * linuxwacom/src/xdrv/Makefile.{am,in}:
    - add DEFAULT_INCLUDES to fix the build because we use a builddir.
    - fix the source patch of .depend target.

 -- Timo Aaltonen <email address hidden>   Sat, 29 Mar 2008 13:30:55 +0200
Superseded in hardy-release on 2008-03-29
wacom-tools (1:0.7.9.3-2ubuntu2) hardy; urgency=low

  * Add an epoch to the Conflicts/Replaces (LP: #180214).

 -- Timo Aaltonen <email address hidden>   Fri, 04 Jan 2008 00:46:59 +0200
Superseded in hardy-release on 2008-01-03
wacom-tools (1:0.7.9.3-2ubuntu1) hardy; urgency=low

  * Merge with Debian unstable (LP: #134879, #136977, #174382, #175050).
    Remaining changes:
    - Bump the epoch because of old Ubuntu packaging.
    - debian/control:
      Change the Maintainer address.
    - debian/wacom.postinst:
      Remove old files.
    - debian/xserver-xorg-input-wacom.init.d, debian/rules:
      Initscript for serial devices.
  * Fix initscript to work with SysFS in 2.6.24. (LP: #177878)
  * debian/control: don't build wacom-kernel-source anymore. (LP: #71944)

Superseded in hardy-release on 2007-12-30
Obsolete in gutsy-release on 2011-09-16
wacom-tools (1:0.7.7.7-0ubuntu2) gutsy; urgency=low

  * Add auto-setup support for newer tablets

 -- Matthew Garrett <email address hidden>   Sun, 16 Sep 2007 02:05:06 +0100
Superseded in gutsy-release on 2007-09-16
Obsolete in feisty-release on 2009-08-20
wacom-tools (1:0.7.7.7-0ubuntu1) feisty; urgency=low

  * Merge with Debian unstable, remaining changes:
     - Bump the epoch because of old Ubuntu packaging.
     debian/control:
      - xserver-xorg-input-wacom: Provides xserver-xorg-input.
      - Change the Maintainer address.
     debian/wacom.postinst:
      - Remove old files.
     debian/xserver-xorg-input-wacom.init.d, debian/rules:
      - Initscript for serial devices.
  * debian/xserver-xorg-input-wacom.init.d:
    - Change the device path to /dev/input/wacom
    - Move the initscript from wacom-tools to the driver, so the driver
      doesn't need to depend on wacom-tools.
  * debian/rules:
    - copy the manpage to the builddir before configuration, otherwise
      the build fails.
    - build with -fno-stack-protector.

 -- Timo Aaltonen <email address hidden>   Mon,  2 Apr 2007 11:13:22 +0300
Superseded in feisty-release on 2007-04-02
wacom-tools (1:0.7.2-0ubuntu8) feisty; urgency=low

  * Make xserver-xorg-input-wacom to depend on wacom-tools (LP: #40473)
  * Change Maintainer address.

 -- Timo Aaltonen <email address hidden>   Tue, 27 Mar 2007 16:09:19 +0300
Superseded in feisty-release on 2007-03-27
Obsolete in edgy-release on 2008-06-19
wacom-tools (1:0.7.2-0ubuntu7) edgy; urgency=low

  * Invert order or xf86_ansic.h and xisb.h includes to avoid FTBFS #65838.

 -- Scott James Remnant <email address hidden>   Fri, 13 Oct 2006 10:57:16 +0100
Superseded in edgy-release on 2006-10-13
Obsolete in dapper-release on 2011-09-06
wacom-tools (1:0.7.2-0ubuntu6) dapper; urgency=low

  * Add missing "|| true" in case the rmdir fails.

 -- Scott James Remnant <email address hidden>   Fri, 21 Apr 2006 11:17:47 +0100
Superseded in dapper-release on 2006-04-21
wacom-tools (1:0.7.2-0ubuntu5) dapper; urgency=low

  * Drop the hotplug.d script as it's never run anyway.
  * Rename the udev rule to 65-wacom.rules and generally fix.

 -- Scott James Remnant <email address hidden>   Thu, 20 Apr 2006 12:45:44 +0100
Superseded in dapper-release on 2006-04-20
wacom-tools (1:0.7.2-0ubuntu4) dapper; urgency=low

  * Fix rotation support

 -- Matthew Garrett <email address hidden>   Sun,  9 Apr 2006 17:31:03 +0100
Superseded in dapper-release on 2006-04-09
wacom-tools (1:0.7.2-0ubuntu3) dapper; urgency=low

  * Further init script fixups - should now be happy on machines without PNP
  * Add support for the side buttons on tablet PCs (tested on HP TC1105,
    should work elsewhere)

 -- Matthew Garrett <email address hidden>   Sun,  9 Apr 2006 16:22:57 +0100
Superseded in dapper-release on 2006-04-09
wacom-tools (1:0.7.2-0ubuntu2) dapper; urgency=low

  * Fix up the init script

 -- Matthew Garrett <email address hidden>   Thu,  6 Apr 2006 00:41:06 +0100
Superseded in dapper-release on 2006-04-06
wacom-tools (1:0.7.2-0ubuntu1) dapper; urgency=low

  * New upstream version. Exception granted by Colin Watson.

  * Build xserver-xorg-driver-wacom.
  (Closes Ubuntu: #4773, #28846)

  * Bump epoch to make xserver-xorg-driver-wacom newer than the one in breezy.

 -- Fabio M. Di Nitto <email address hidden>   Fri, 31 Mar 2006 11:47:06 +0200
Superseded in dapper-release on 2006-03-31
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
wacom-tools (0.6.6-8ubuntu6) breezy; urgency=low


  * Fix rotation support

 -- Matthew Garrett <email address hidden>  Thu, 29 Sep 2005 14:29:16 +0100
Obsolete in hoary-release on 2008-03-19
wacom-tools (0.6.6-4) unstable; urgency=low


  * Removed evdev patch since what it attempts to do is
    already handled in the kernel for cases where it might
    reliably work.

    Removed usbhid patch since we can get in before it
    without needing to manually maintain a list of 'quirks'.

    Removed mousedev and usbmouse patches, since the former
    is now built into 2.6 kernels anyway and cannot easily
    be replaced on the fly, and since this is simply the wrong
    approach to fixing the problem of dynamic device naming
    for generic devices IMO, it just hides it for some people
    until they buy another device.

    This and tested support for kernel 2.6, Closes: #281230
    and more...

  * Explicitly point configure at the kernel source.  Closes: #285206

  * Update the other libtool goop as well to fix FTBFS
    on mips and mipsel.  Closes: #285213

  * (ab)use a shared 'confdir' (and worse) to restore something like
    the functionality needed by wacom.modutils for wacom.modprobe
    until we can fix the kernel.  Don't try this at home kids, it is
    surely not best practice in any of the domains it kludges through.
    Though its as legal as falling asleep sober at the wheel ...

 -- Ron Lee <email address hidden>  Fri, 10 Dec 2004 16:12:07 +1030
140 of 40 results